Wt: Wt::WTableColumn Class Reference

Wt 3.3.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
Wt::WTableColumn Class Reference

A table column. More...

`#include <Wt/WTableColumn>`

Inheritance diagram for Wt::WTableColumn:
[legend]

List of all members.

## Public Member Functions
WTable * | table () const
| Returns the table to which this column belongs.
WTableCell * | elementAt (int row)
| Access the column element at the given row.
int | columnNum () const
| Returns the column number of this column in the table.
void | setWidth (const WLength &width)
| Sets the column width.
WLength | width () const
| Returns the column width.
void | setStyleClass (const WString &style)
| Sets the CSS style class for this column.
const WString & | styleClass () const
| Returns the CSS style class for this column.
void | setId (const std::string &id)
| Sets the CSS Id.
virtual const std::string | id () const
| Returns the (unique) identifier for this object.

## Detailed Description

A table column.

A WTableColumn is returned by WTable::columnAt() and managing various properties of a single column in a table (it is however not a widget).

You cannot access table cells through the column. Instead, to access table cells, see WTable::elementAt().

A table column corresponds to the HTML `<col>` tag.

See also:
  WTable, WTableRow

## Member Function Documentation

int Wt::WTableColumn::columnNum | ( |  | ) | const

Returns the column number of this column in the table.

See also:
  WTable::rowAt()

WTableCell * Wt::WTableColumn::elementAt | ( | int | row | ) |

Access the column element at the given row.

Like WTable::elementAt(), if the row is beyond the current table dimensions, then the table is expanded automatically.

const std::string Wt::WTableColumn::id | ( |  | ) | const`[virtual]`

Returns the (unique) identifier for this object.

For a WWidget, this corresponds to the id of the DOM element that represents the widget. This is not entirely unique, since a composite widget shares the same id as its implementation.

By default, the id is auto-generated, unless a custom id is set for a widget using WWidget::setId(). The auto-generated id is created by concatenating objectName() with a unique number.

See also:
  WWidget::jsRef()

Reimplemented from Wt::WObject.

void Wt::WTableColumn::setId | ( | const std::string & | id | ) |

Sets the CSS Id.

Sets a custom Id. Note that the Id must be unique across the whole widget tree, can only be set right after construction and cannot be changed.

See also:
  WObject::id()

void Wt::WTableColumn::setStyleClass | ( | const WString & | style | ) |

Sets the CSS style class for this column.

The style is inherited by all table cells in this column.

See also:
  styleClass(), WWidget::setStyleClass()

void Wt::WTableColumn::setWidth | ( | const WLength & | width | ) |

Sets the column width.

The default column width is WLength::Auto.

See also:
  width(), WWidget::resize()

const WString& Wt::WTableColumn::styleClass | ( |  | ) | const

Returns the CSS style class for this column.

See also:
  styleClass(), WWidget::styleClass()

WTable* Wt::WTableColumn::table | ( |  | ) | const

Returns the table to which this column belongs.

See also:
  WTable::rowAt()

WLength Wt::WTableColumn::width | ( |  | ) | const

Returns the column width.

See also:
  setWidth(const WLength&)

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator